#include <QtGui/QApplication>
#include <QCoreApplication>
#include <QDeclarativeContext>
#include <QDeclarativeEngine>
#include <QDeclarativeImageProvider>
#include <QDeclarativeView>
#include "qmlapplicationviewer.h"
#include "model.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QmlApplicationViewer viewer;
    TestModel *model = new TestModel(&viewer);
    viewer.rootContext()->setContextProperty("testModel", model);
    viewer.engine()->addImageProvider(QLatin1String("images"), model);
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationAuto);
    viewer.setMainQmlFile(QLatin1String("qml/MemoryTest/MainView.qml"));
    viewer.showExpanded();

    return app.exec();
}

