import Qt 4.7

// Button badge
Item {
    // Default values
    id: badgeItem
    width: 50
    height: 50

    // Badge properties
    property string icon
    property string background
    property int badgeWidth
    property int badgeHeight
    property bool enabled
    property string text
    property int textHeight

    // Set/or unset button/badge enabled. Disabled button uses different background and fades icon
    onEnabledChanged: {
        iconItem.opacity = Theme.opacity(enabled)
        textItem.opacity = Theme.opacity(enabled)
        backgroundItem.opacity = Theme.opacity(enabled)
    }

    // Badge background; centered
    Image {
        id: backgroundItem
        anchors.centerIn: parent
        width: badgeItem.width
        height: badgeItem.width
        sourceSize.width: width
        sourceSize.height: height
        source: badgeItem.background
        z: 1
        asynchronous: false
        visible: badgeItem.visible
        // Badge icon
        Image {
            id: iconItem
            anchors.centerIn: backgroundItem
            width: badgeItem.badgeWidth
            height: badgeItem.badgeHeight
            sourceSize.width: width
            sourceSize.height: height
            source: badgeItem.icon
            asynchronous: false
        }
        // Badge event/text; centered
        Text {
            id: textItem
            anchors.centerIn: backgroundItem
            text: badgeItem.text
            color: Theme.textColorBadge()
            font.family: Theme.textFont()
            wrapMode: Text.NoWrap
            elide: Text.ElideNone
            style: Text.Normal
            font.bold: false
            font.pixelSize: badgeItem.textHeight
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }
}

// End Of File



